org.red5.server.exception

## Class ClientRejectedException

- java.lang.Object
- - java.lang.Throwable
  - - java.lang.Exception
    - - java.lang.RuntimeException
      - - org.red5.server.exception.ClientRejectedException

All Implemented Interfaces:
  Serializable

    public class ClientRejectedException
    extends RuntimeException

The client is not allowed to connect. Reason that provided with this exception is sent to client-side status event description.

See Also:
  Serialized Form

### Constructor Summary

Constructors
Constructor and Description
`ClientRejectedException()` Constructs a new ClientRejectedException.
`ClientRejectedException(Object reason)` Create new exception with given rejection reason

### Method Summary

Methods
`Object` `getReason()` Getter for reason

### Methods inherited from class java.lang.Throwable

`addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### ClientRejectedException

    public ClientRejectedException()

Constructs a new ClientRejectedException.

#### ClientRejectedException

    public ClientRejectedException(Object reason)

Create new exception with given rejection reason

Parameters:
  `reason` - Rejection reason

### Method Detail

#### getReason

    public Object getReason()

Getter for reason

Returns:
  Rejection reason